<?php

/************************************************************************/
/* PHP-NUKE: Web Portal System                                          */
/* ===========================                                          */
/*                                                                      */
/* Copyright (c) 2002 by Francisco Burzi (fbc@mandrakesoft.com)         */
/* http://phpnuke.org                                                   */
/*                                                                      */
/*									*/
/* Release 17 Jan 2003 by Paul Laudanski (paul@computercops.biz)	*/
/* Copyright (c) 2003 Modifications by Computer Cops & Nuke Cops	*/
/* http://computercops.biz | http://nukecops.com			*/
/*									*/
/* Released 27 July 2002 by Paul Laudanski (paul@computercops.biz)      */
/* Copyright (c) 2002 Modifications by Computer Cops.                   */
/* http://computercops.biz                                              */
/*									*/
/* Released 25 June 2003 by Paul Laudanski (zx@nukecops.com)		*/
/* Copyright (c) 2003 by Nuke Cops / Computer Cops.			*/
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

/* To be found in your language file for the Top module:

define("_CATEGORY","Category");
define("_LVOTES","votes");
define("_HITS","Hits");
define("_TOPWELCOME","Welcome to the TOP page for");
define("_READSTORIES","most read stories");
define("_COMMENTEDSTORIES","most commented stories");
define("_ACTIVECAT","most active categories");
define("_READSECTION","most read articles in special sections");
define("_NEWSSUBMITTERS","most active news submitters");
define("_NEWSSENT","news sent");
define("_VOTEDPOLLS","most voted polls");
define("_MOSTACTIVEAUTHORS","most active authors");
define("_NEWSPUBLISHED","news published");
define("_READREVIEWS","most read reviews");
define("_DOWNLOADEDFILES","most downloaded files");
define("_LDOWNLOADS","downloads");
define("_MOSTREADPAGES","most read pages");
define("_MOSTVOTEDSTORIES","most voted stories");
define("_POINTS","points");
define("_BESTRATEDSTORIES","best rated stories (based on 5 maximun points)");
define("_RCNTREADSTORIES","most read RECENT front page stories");
define("_READTHREADS","most read ALL-TIME forum threads");
define("_NEWTHREADS","most read RECENT forum threads");
define("_COMMCOOLLINKS","most visited Community Cool Links");
define("_COMMLINKS","most visited Community Links");
define("_FORUMPOSTERS","most active forum posters");
define("_FORUMPOSTS","posts");
define("_LASTJOURNALS","recent Journal &#167 ZX entries");
define("_HOTTHREADS","most commented ALL-TIME forum threads");
define("_WATCHTHREADS","most recent Watched forum threads");
define("_TOPTHEMES","most selected member Themes");
define("_TOPAVATARS","most selected Forum Gallery Avatars");
define("_RECENTMEMBERS","most recent site members");
define("_RCNTHOTTHREADS","most commented RECENT forum threads");
define("_TOPBUDS","most selected site buddy");
define("_TOPBUDSNUM","members selected this user as a buddy");

*/

if (!eregi("modules.php", $_SERVER['PHP_SELF'])) {
    die ("You can't access this file directly...");
}

require_once("mainfile.php");
$module_name = basename(dirname(__FILE__));
get_lang($module_name);

$pagetitle = "- Top 10";
include("header.php");

if ($multilingual == 1) {
    $queryalang = "WHERE (alanguage='$currentlang' OR alanguage='')"; /* top stories */
    $querya1lang = "WHERE (alanguage='$currentlang' OR alanguage='') AND"; /* top stories */
    $queryslang = "WHERE slanguage='$currentlang' "; /* top section articles */
    $queryplang = "WHERE planguage='$currentlang' "; /* top polls */
    $queryrlang = "WHERE rlanguage='$currentlang' "; /* top reviews */
} else {
    $queryalang = "";
    $querya1lang = "WHERE";
    $queryslang = "";
    $queryplang = "";
    $queryrlang = "";
}


// Release Version - Do not change!
$ver=2.1;

// Set what "RECENT" should be for threads and news.
$rcnt=7;


OpenTable();
echo "<center><font class=\"title\"><b>"._TOPWELCOME." $sitename!</b></font></center>";
CloseTable();
echo "<br>\n\n";


        opentable();
	echo ("<CENTER><FORM METHOD=GET ACTION=\"modules.php?name=Top\">");
	echo ("<SELECT NAME=\"zx\" SIZE=\"7\" onChange=\"top.location.href=this.options[this.selectedIndex].value\">");
        echo ("<div align=center class=tiny>");
	echo ("<OPTION VALUE=\"modules.php?name=Top\">SELECT A TOP SECTION TO VIEW");
	echo ("<OPTION VALUE=\"modules.php?name=Top\"> ");
	echo ("<OPTION VALUE=\"modules.php?name=Top\">&gt; All Top Sections [Default] &lt;");
        echo ("<OPTION VALUE=\"modules.php?name=Top&zx=readstories\">&middot; "._READSTORIES."");
        echo ("<OPTION VALUE=\"modules.php?name=Top&zx=rcntreadstories\">&middot; "._RCNTREADSTORIES."");
        echo ("<OPTION VALUE=\"modules.php?name=Top&zx=alltimethreads\">&middot; "._READTHREADS."");
        echo ("<OPTION VALUE=\"modules.php?name=Top&zx=recentreadthreads\">&middot; "._NEWTHREADS."");
	echo ("<OPTION VALUE=\"modules.php?name=Top&zx=hott\">&middot; "._HOTTHREADS."");
	echo ("<OPTION VALUE=\"modules.php?name=Top&zx=rcnthotthreads\">&middot; "._RCNTHOTTHREADS."");
	echo ("<OPTION VALUE=\"modules.php?name=Top&zx=lastj\">&middot; "._LASTJOURNALS."");
        echo ("<OPTION VALUE=\"modules.php?name=Top&zx=votedstories\">&middot; "._MOSTVOTEDSTORIES."");
        echo ("<OPTION VALUE=\"modules.php?name=Top&zx=ratedstories\">&middot; "._BESTRATEDSTORIES."");
        echo ("<OPTION VALUE=\"modules.php?name=Top&zx=commentedstories\">&middot; "._COMMENTEDSTORIES."");
        echo ("<OPTION VALUE=\"modules.php?name=Top&zx=categories\">&middot; "._ACTIVECAT."");
        echo ("<OPTION VALUE=\"modules.php?name=Top&zx=specialsections\">&middot; "._READSECTION."");
        echo ("<OPTION VALUE=\"modules.php?name=Top&zx=forumposters\">&middot; "._FORUMPOSTERS."");
	echo ("<OPTION VALUE=\"modules.php?name=Top&zx=newusers\">&middot; "._RECENTMEMBERS."");
        echo ("<OPTION VALUE=\"modules.php?name=Top&zx=submitters\">&middot; "._NEWSSUBMITTERS."");
        echo ("<OPTION VALUE=\"modules.php?name=Top&zx=polls\">&middot; "._VOTEDPOLLS."");
        echo ("<OPTION VALUE=\"modules.php?name=Top&zx=authors\">&middot; "._MOSTACTIVEAUTHORS."");
	echo ("<OPTION VALUE=\"modules.php?name=Top&zx=topbuds\">&middot; "._TOPBUDS."");
        echo ("<OPTION VALUE=\"modules.php?name=Top&zx=reviews\">&middot; "._READREVIEWS."");
        echo ("<OPTION VALUE=\"modules.php?name=Top&zx=downloads\">&middot; "._DOWNLOADEDFILES."");
        echo ("<OPTION VALUE=\"modules.php?name=Top&zx=contentread\">&middot; "._MOSTREADPAGES."");
	echo ("<OPTION VALUE=\"modules.php?name=Top&zx=wt\">&middot; "._WATCHTHREADS."");
	echo ("<OPTION VALUE=\"modules.php?name=Top&zx=commcoollinks\">&middot; "._COMMCOOLLINKS."");
	echo ("<OPTION VALUE=\"modules.php?name=Top&zx=commlinks\">&middot; "._COMMLINKS."");
	echo ("<OPTION VALUE=\"modules.php?name=Top&zx=tt\">&middot; "._TOPTHEMES."");
	echo ("<OPTION VALUE=\"modules.php?name=Top&zx=ta\">&middot; "._TOPAVATARS."");
        echo ("<OPTION VALUE=\"modules.php?name=Top&zx=credit\">&gt; TOP10 Credits &lt;");
	echo ("</SELECT></FORM></CENTER>");
        closetable();
        echo ("<br>");

OpenTable();

function all() {
	readstories();
	rcntreadstories();
	alltimethreads();
	recentreadthreads();
	hotthreads();
	rcnthotthreads();
	lastjournals();
	votedstories();
	ratedstories();
	commentedstories();
	categories();
	specialsections();
	forumposters();
	recentmembers();
	submitters();
	polls();
	authors();
	topbuds();
	reviews();
	downloads();
	contentread();
	watchthreads();
	commcoollinks();
	commlinks();
	topthemes();
	topavatars();
}

/* Top 10 Buddies */

function topbuds() {
	global $top, $dbi, $prefix;
	$result = sql_query("select COUNT(b.user_id) as uid, u.username from nuke_users u, nuke_bbbuddies b where u.user_id=b.user_id group by b.user_id order by uid DESC limit $top", $dbi);
	if (sql_num_rows($result, $dbi)>0) {
            echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
                ."<font class=\"option\"><b>$top "._TOPBUDS."</b></font><br><br><font class=\"content\">\n";
            $lugar=1;
            while(list($userid, $uname) = sql_fetch_row($result, $dbi)) {
                if($userid>0) {
                    echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: <a href=\"userinfo-$uname.html\">$uname</a> - ($userid "._TOPBUDSNUM.")<br>\n";
                    $lugar++;
                }
            }
            echo "</font></td></tr></table><br>\n";
        }
}

/* Top 10 read stories */

function readstories() {
	global $top, $dbi, $prefix;
	$result = sql_query("select sid, title, counter from ".$prefix."_stories $queryalang where sid != 590 order by counter DESC limit 0,$top", $dbi);
	if (sql_num_rows($result, $dbi)>0) {
	    echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
	        ."<font class=\"option\"><b>$top "._READSTORIES."</b></font><br><br><font class=\"content\">\n";
	    $lugar=1;
	    while(list($sid, $title, $counter) = sql_fetch_row($result, $dbi)) {
	        if($counter>0) {
	    	    echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: <a href=\"modules.php?name=News&amp;file=article&amp;sid=$sid\">$title</a> - ($counter "._READS.")<br>\n";
		    $lugar++;
		}
	    }
	    echo "</font></td></tr></table><br>\n";
	}
}

/* Top 10 Themes */

function topthemes() {
	global $top, $dbi, $prefix;
	$result = sql_query("select COUNT(theme) as cnt, theme from ".$prefix."_users group by theme order by cnt DESC limit 0,$top", $dbi);
	if (sql_num_rows($result, $dbi)>0) {
		echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
			."<font class=\"option\"><b>$top "._TOPTHEMES."</b></font><br><br><font class=\"content\">\n";
		$lugar=1;
		while(list($count, $theme) = sql_fetch_row($result, $dbi)) {
			if ($theme=="") {
				echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: Default Site Theme: $count members<br>\n";
			} else {
				echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: <a href=\"modules.php?name=Your_Account&theme=$theme\">$theme</a>: $count members<br>\n";
			}
			$lugar++;
		}
		echo "</font></td></tr></table><br>\n";
	}
}

/* Top 10 Gallery Avatars */

function topavatars() {
	global $top, $dbi, $prefix;
	$result = sql_query("select COUNT(user_avatar) as cnt, user_avatar from ".$prefix."_users where user_avatar like '%' group by user_avatar order by cnt DESC limit 0,$top", $dbi);
	if (sql_num_rows($result, $dbi)>0) {
		 echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
			."<font class=\"option\"><b>$top "._TOPAVATARS."</b></font><br><br><font class=\"content\">\n";
		$lugar=1;
		while(list($count, $user_avatar) = sql_fetch_row($result, $dbi)) {
			if (($user_avatar=="blank.gif") || $user_avatar=="gallery/") {
				echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: Blank: $count members<br>\n";
			} else {
				echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: <img src=\"modules/Forums/images/avatars/$user_avatar\">: $count members<br>\n";
			}
			$lugar++;
		}
		 echo "</font></td></tr></table><br>\n";
	}
}

/* Top 10 RECENT read stories */

function rcntreadstories() {

global $top, $dbi, $prefix, $rcnt;
	
$result = sql_query("select sid, title, counter, INTERVAL $rcnt DAY + CURDATE() from ".$prefix."_stories $queryalang where sid != 590 and time >INTERVAL -$rcnt DAY + CURDATE() order by counter DESC limit 0,$top", $dbi);
if (sql_num_rows($result, $dbi)>0) {
    echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
        ."<font class=\"option\"><b>$top "._RCNTREADSTORIES."</b></font><br><br><font class=\"content\">\n";
    $lugar=1;
    while(list($sid, $title, $counter) = sql_fetch_row($result, $dbi)) {
        if($counter>0) {
    	    echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: <a href=\"modules.php?name=News&amp;file=article&amp;sid=$sid\">$title</a> - ($counter "._READS.")<br>\n";
	    $lugar++;
	}
    }
    echo "</font></td></tr></table><br>\n";
}
}

/* All-time Top 10 read threads */

function alltimethreads() {
	global $top, $dbi, $prefix;
	$result = sql_query("select t.topic_id, t.topic_title, t.topic_views, f.forum_name, t.forum_id from ".$prefix."_bbtopics t, ".$prefix."_bbforums f where t.forum_id=f.forum_id and f.auth_view=0 and t.topic_moved_id=0 order by t.topic_views DESC limit 0,$top", $dbi);
	if (sql_num_rows($result, $dbi)>0) {
	    echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
	        ."<font class=\"option\"><b>$top "._READTHREADS."</b></font><br><br><font class=\"content\">\n";
	    $lugar=1;
	    while(list($topic_id, $topic_title, $topic_views, $forum_name, $forum_id) = sql_fetch_row($result, $dbi)) {
	        if($topic_views>0) {
	    	    echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: <a href=\"modules.php?name=Forums&file=viewforum&f=$forum_id\">$forum_name</a> &#187 <a href=\"modules.php?name=Forums&file=viewtopic&t=$topic_id\">$topic_title</a> - ($topic_views "._READS.")<br>\n";
		    $lugar++;
		}
	    }
	    echo "</font></td></tr></table><br>\n";
	}
}

/* Recent Top 10 read threads */

function recentreadthreads() {	
        global $top, $dbi, $prefix, $rcnt;
	// Convert days to seconds for timestamp functions
	$rcnt = time() - ( $rcnt * 86400 );

	$result = sql_query("select t.topic_id, t.topic_title, t.topic_views, f.forum_name, t.forum_id from ".$prefix."_bbtopics t, ".$prefix."_bbforums f where t.forum_id=f.forum_id and f.auth_view=0 and t.topic_time>$rcnt and t.topic_moved_id=0 order by t.topic_views DESC limit 0,$top", $dbi);
	if (sql_num_rows($result, $dbi)>0) {
	    echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
	        ."<font class=\"option\"><b>$top "._NEWTHREADS."</b></font><br><br><font class=\"content\">\n";
	    $lugar=1;
	    while(list($topic_id, $topic_title, $topic_views, $forum_name, $forum_id) = sql_fetch_row($result, $dbi)) {
	        if($topic_views>0) {
	    	    echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: <a href=\"modules.php?name=Forums&file=viewforum&f=$forum_id\">$forum_name</a> &#187 <a href=\"modules.php?name=Forums&file=viewtopic&t=$topic_id\">$topic_title</a> - ($topic_views "._READS.")<br>\n";
		    $lugar++;
		}
	    }
	    echo "</font></td></tr></table><br>\n";
	}
}

/* Top 10 hot topic threads */

function hotthreads() {
        global $top, $dbi, $prefix, $cvalue, $ccvalue;
	$ccvalue = "hot_threshold";
	$result2 = sql_query("select config_value from ".$prefix."_bbconfig where config_name LIKE '$ccvalue'", $dbi);
	while(list($config_value) = sql_fetch_row($result2, $dbi)) {
		$cvalue = $config_value;
	}
        $result = sql_query("select t.topic_id, t.topic_title, f.forum_name, t.forum_id, t.topic_replies from ".$prefix."_bbtopics t, ".$prefix."_bbforums f where t.forum_id=f.forum_id and f.auth_view=0 and t.topic_replies>=$cvalue and t.topic_moved_id=0 order by t.topic_replies DESC limit 0,$top", $dbi);
        if (sql_num_rows($result, $dbi)>0) {
	echo $result['topic_replies'].  $result['topic_title'];
            echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
                ."<font class=\"option\"><b>$top "._HOTTHREADS."</b></font><br><br><font class=\"content\">\n";
            $lugar=1;
            while(list($topic_id, $topic_title, $forum_name, $forum_id, $topic_replies) = sql_fetch_row($result, $dbi)) {
                if($topic_replies>0) {
                    echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: <a href=\"modules.php?name=Forums&file=viewforum&f=$forum_id\">$forum_name</a> &#187 <a href=\"modules.php?name=Forums&file=viewtopic&t=$topic_id\">$topic_title</a> - [$topic_replies replies]<br>\n";
                    $lugar++;
                }
            }
            echo "</font></td></tr></table><br>\n";
        } else { echo "nothing"; }
}



/* Top 10 hot topic threads */

function rcnthotthreads() {
        global $top, $dbi, $prefix, $cvalue, $ccvalue;
$rcnt=150;
        $ccvalue = "hot_threshold";
        $result2 = sql_query("select config_value from ".$prefix."_bbconfig where config_name LIKE '$ccvalue'", $dbi);
        while(list($config_value) = sql_fetch_row($result2, $dbi)) {
                $cvalue = $config_value;
        }

        // Convert days to seconds for timestamp functions
        $rcnt = time() - ( $rcnt * 86400 );

        $result = sql_query("select t.topic_id, t.topic_title, f.forum_name, t.forum_id, t.topic_replies from ".$prefix."_bbtopics t, ".$prefix."_bbforums f where t.forum_id=f.forum_id and f.auth_view=0 and t.topic_replies>=$cvalue and t.topic_moved_id=0 and t.topic_time>$rcnt order by t.topic_replies DESC limit 0,$top", $dbi);
        if (sql_num_rows($result, $dbi)>0) {
        echo $result['topic_replies'].  $result['topic_title'];
            echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
                ."<font class=\"option\"><b>$top "._RCNTHOTTHREADS."</b></font><br><br><font class=\"content\">\n";
            $lugar=1;
            while(list($topic_id, $topic_title, $forum_name, $forum_id, $topic_replies) = sql_fetch_row($result, $dbi)) {
                if($topic_replies>0) {
                    echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: <a href=\"modules.php?name=Forums&file=viewforum&f=$forum_id\">$forum_name</a> &#187 <a href=\"modules.php?name=Forums&file=viewtopic&t=$topic_id\">$topic_title</a> - [$topic_replies replies]<br>\n";
                    $lugar++;
                }
            }
            echo "</font></td></tr></table><br>\n";
        } else { echo "nothing"; }
}




/* Top 10 recent watched threads */

function watchthreads() {
	global $top, $dbi, $prefix;
	$result = sql_query("select DISTINCT w.topic_id, t.topic_title, f.forum_name, f.forum_id from ".$prefix."_bbtopics_watch w, ".$prefix."_bbtopics t, ".$prefix."_bbforums f where w.topic_id=t.topic_id and w.notify_status=1 and t.forum_id=f.forum_id and f.auth_view=0 order by w.topic_id DESC limit 0,$top", $dbi);
	if (sql_num_rows($result, $dbi)>0) {
		echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
			."<font class=\"option\"><b>$top "._WATCHTHREADS."</b></font><br><br><font class=\"content\">\n";
		$lugar=1;
		while(list($topic_id, $topic_title, $forum_name, $forum_id) = sql_fetch_row($result, $dbi)) {
			echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: <a href=\"modules.php?name=Forums&file=viewforum&f=$forum_id\">$forum_name</a> &#187 <a href=\"modules.php?name=Forums&file=viewtopic&t=$topic_id\">$topic_title</a><br>\n";
			$lugar++;
		}
		echo "</font></td></tr></table><br>\n";
	} else { echo "nothing"; }
}

/* last 10 Journal entries */

function lastjournals() {
	global $top, $dbi, $prefix;
    	$result = sql_query("SELECT jid, title, pdate, ptime, mood, aid FROM nuke_journal WHERE status='yes' order by jid DESC limit 0,$top", $dbi);

	if (sql_num_rows($result, $dbi)>0) {
		echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
		."<font class=\"option\"><b>$top "._LASTJOURNALS."</b></font><br><br><font class=\"content\">\n";
		$lugar=1;
    		while(list($jid, $title, $pdate, $ptime, $mood, $aid) = sql_fetch_row($result, $dbi)) {
	        	echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: ";
			echo "<a href=\"modules.php?name=Your_Account&op=userinfo&username=$aid\">$aid</a>'s entry: ";
       			if ($mood) {
	                	echo "<img src=\"modules/Journal/images/moods/$mood\">&nbsp;";
       			}
	        	echo "<a href=\"modules.php?name=Journal&file=display&jid=$jid\">$title</a> ($pdate at $ptime)";

	        	$sqlscnd = "SELECT cid from nuke_journal_comments where rid=$jid";
	        	$rstscnd = mysql_query($sqlscnd);
       			$scndcount=0;

	        	while ($rowscnd = mysql_fetch_array($rstscnd)) {
           			$scndcount = $scndcount + 1;
	        	}
       			if ($scndcount>0):
	            	echo " &#151&#151 $scndcount comments";
       			endif;
			echo "<br>";
			$lugar++;
	    	}
		echo "</font></td></tr></table><br>\n";
	}
}


/* Top 10 most voted stories */

function votedstories() {
        global $top, $dbi, $prefix, $querya1lang;
	$result = sql_query("select sid, title, ratings from ".$prefix."_stories $querya1lang score!=0 order by ratings DESC limit 0,$top", $dbi);
	if (sql_num_rows($result, $dbi)>0) {
	    echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
	        ."<font class=\"option\"><b>$top "._MOSTVOTEDSTORIES."</b></font><br><br><font class=\"content\">\n";
	    $lugar=1;
	    while(list($sid, $title, $ratings) = sql_fetch_row($result, $dbi)) {
	        if($ratings>0) {
	    	    echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: <a href=\"modules.php?name=News&amp;file=article&amp;sid=$sid\">$title</a> - ($ratings "._LVOTES.")<br>\n";
		    $lugar++;
		}
	    }
	    echo "</font></td></tr></table><br>\n";
	}
}

/* Top 10 best rated stories */

function ratedstories() {
        global $top, $dbi, $prefix, $querya1lang;
	$result = sql_query("select sid, title, score, ratings from ".$prefix."_stories $querya1lang score!=0 order by ratings+score DESC limit 0,$top", $dbi);
	if (sql_num_rows($result, $dbi)>0) {
	    echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
	        ."<font class=\"option\"><b>$top "._BESTRATEDSTORIES."</b></font><br><br><font class=\"content\">\n";
	    $lugar=1;
	    while(list($sid, $title, $score, $ratings) = sql_fetch_row($result, $dbi)) {
	        if($score>0) {
		    $rate = substr($score / $ratings, 0, 4);
	    	    echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: <a href=\"modules.php?name=News&amp;file=article&amp;sid=$sid\">$title</a> - ($rate "._POINTS.")<br>\n";
		    $lugar++;
		}
	    }
	    echo "</font></td></tr></table><br>\n";
	}
}

/* Top 10 commented stories */

function commentedstories() {
        global $top, $dbi, $prefix;
	$result = sql_query("select sid, title, comments from ".$prefix."_stories $queryalang order by comments DESC limit 0,$top", $dbi);
	if (sql_num_rows($result, $dbi)>0) {
	    echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
		."<font class=\"option\"><b>$top "._COMMENTEDSTORIES."</b></font><br><br><font class=\"content\">\n";
	    $lugar=1;
	    while(list($sid, $title, $comments) = sql_fetch_row($result, $dbi)) {
		if($comments>0) {
		    echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: <a href=\"modules.php?name=News&amp;file=article&amp;sid=$sid\">$title</a> - ($comments "._COMMENTS.")<br>\n";
		    $lugar++;
		}
	    }
	    echo "</font></td></tr></table><br>\n";
	}
}

/* Top 10 categories */

function categories() {
        global $top, $dbi, $prefix;
	$result = sql_query("select catid, title, counter from ".$prefix."_stories_cat order by counter DESC limit 0,$top", $dbi);
	if (sql_num_rows($result, $dbi)>0) {
	    echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
		."<font class=\"option\"><b>$top "._ACTIVECAT."</b></font><br><br><font class=\"content\">\n";
	    $lugar=1;
	    while(list($catid, $title, $counter) = sql_fetch_row($result, $dbi)) {
		if($counter>0) {
		    echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: <a href=\"modules.php?name=News&amp;file=categories&amp;op=newindex&amp;catid=$catid\">$title</a> - ($counter "._HITS.")<br>\n";
		    $lugar++;
		}
	    }
	    echo "</font></td></tr></table><br>\n";
	}
}

/* Top 10 articles in special sections */

function specialsections() {
        global $top, $dbi, $prefix;
	$result = sql_query("select artid, secid, title, content, counter from ".$prefix."_seccont $queryslang order by counter DESC limit 0,$top", $dbi);
	if (sql_num_rows($result, $dbi)>0) {
	    echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
		."<font class=\"option\"><b>$top "._READSECTION."</b></font><br><br><font class=\"content\">\n";
	    $lugar=1;
	    while(list($artid, $secid, $title, $content, $counter) = sql_fetch_row($result, $dbi)) {
	        echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: <a href=\"modules.php?name=Sections&amp;sop=viewarticle&amp;artid=$artid\">$title</a> - ($counter "._READS.")<br>\n";
		$lugar++;
	    }
	    echo "</font></td></tr></table><br>\n";
	}
}

/* Top 10 forum posters */

function forumposters() {
        global $top, $dbi, $prefix;
	$result = sql_query("select username, user_posts from ".$prefix."_users where username<>'Anonymous' order by user_posts DESC limit 0,$top", $dbi);
	if (sql_num_rows($result, $dbi)>0) {
	    echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
	        ."<font class=\"option\"><b>$top "._FORUMPOSTERS."</b></font><br><br><font class=\"content\">\n";
	    $lugar=1;
	    while(list($uname, $user_posts) = sql_fetch_row($result, $dbi)) {
	        if($user_posts>0) {
	            echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: <a href=\"modules.php?name=Your_Account&amp;op=userinfo&amp;username=$uname\">$uname</a> - ($user_posts "._FORUMPOSTS.")<br>\n";
	            $lugar++;
	        }
	    }
	    echo "</font></td></tr></table><br>\n";
	}
}

/* most 10 recent members */

function recentmembers() {
	global $top, $dbi, $prefix;
	$result = sql_query("select username, user_regdate from ".$prefix."_users where username<>'Anonymous' order by user_id DESC limit 0,$top", $dbi);
	if (sql_num_rows($result, $dbi)>0) {
		echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
			."<font class=\"option\"><b>$top "._RECENTMEMBERS."</b></font><br><br><font class=\"content\">\n";
		$lugar=1;
		while(list($uname, $user_regdate) = sql_fetch_row($result, $dbi)) {
			echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: <a href=\"modules.php?name=Your_Account&amp;op=userinfo&amp;username=$uname\">$uname</a> - Joined: $user_regdate<br>\n";
			$lugar++;
		}
		echo "</font></td></tr></table><br>\n";
	}
}


/* Top 10 users submitters */

function submitters() {
        global $top, $dbi, $prefix, $user_prefix;
	$result = sql_query("select username, counter from ".$user_prefix."_users where counter > '0' order by counter DESC limit 0,$top", $dbi);
	if (sql_num_rows($result, $dbi)>0) {
	    echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
		."<font class=\"option\"><b>$top "._NEWSSUBMITTERS."</b></font><br><br><font class=\"content\">\n";
	    $lugar=1;
	    while(list($uname, $counter) = sql_fetch_row($result, $dbi)) {
		if($counter>0) {
		    echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: <a href=\"modules.php?name=Your_Account&amp;op=userinfo&amp;username=$uname\">$uname</a> - ($counter "._NEWSSENT.")<br>\n";
		    $lugar++;
		}
	    }
	    echo "</font></td></tr></table><br>\n";
	}
}

/* Top 10 Polls */

function polls() {
        global $top, $dbi, $prefix;
	$result = sql_query("select * from ".$prefix."_poll_desc $queryplang", $dbi);
	if (sql_num_rows($result, $dbi)>0) {
	    echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
		."<font class=\"option\"><b>$top "._VOTEDPOLLS."</b></font><br><br><font class=\"content\">\n";
	    $lugar = 1;
	    $result = sql_query("SELECT pollID, pollTitle, timeStamp, voters FROM ".$prefix."_poll_desc $querylang order by voters DESC limit 0,$top", $dbi);
	    $counter = 0;
	    while($object = sql_fetch_object($result, $dbi)) {
		$resultArray[$counter] = array($object->pollID, $object->pollTitle, $object->timeStamp, $object->voters);
		$counter++;
	    }
	    for ($count = 0; $count < count($resultArray); $count++) {
		$id = $resultArray[$count][0];
		$pollTitle = $resultArray[$count][1];
		$voters = $resultArray[$count][3];
		for($i = 0; $i < 12; $i++) {
		    $result = sql_query("SELECT optionCount FROM ".$prefix."_poll_data WHERE (pollID=$id) AND (voteID=$i)", $dbi);
		    $object = sql_fetch_object($result, $dbi);
		    $optionCount = $object->optionCount;
		    $sum = (int)$sum+$optionCount;
		}
		echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: <a href=\"modules.php?name=Surveys&amp;pollID=$id\">$pollTitle</a> - ($sum "._LVOTES.")<br>\n";
		$lugar++;
		$sum = 0;
	    }
	    echo "</font></td></tr></table><br>\n";
	}
}

/* Top 10 authors */

function authors() {
        global $top, $dbi, $prefix;
	$result = sql_query("select aid, counter from ".$prefix."_authors order by counter DESC limit 0,$top", $dbi);
	if (sql_num_rows($result, $dbi)>0) {
	    echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
		."<font class=\"option\"><b>$top "._MOSTACTIVEAUTHORS."</b></font><br><br><font class=\"content\">\n";
	    $lugar=1;
	    while(list($aid, $counter) = sql_fetch_row($result, $dbi)) {
		if($counter>0) {
		    echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: <a href=\"modules.php?name=Search&amp;query=&amp;author=$aid\">$aid</a> - ($counter "._NEWSPUBLISHED.")<br>\n";
		    $lugar++;
		}
	    }
	    echo "</font></td></tr></table><br>\n";
	}
}

/* Top 10 reviews */

function reviews() {
        global $top, $dbi, $prefix;
	$result = sql_query("select id, title, hits from ".$prefix."_reviews $queryrlang order by hits DESC limit 0,$top", $dbi);
	if (sql_num_rows($result, $dbi)>0) {
	    echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
		."<font class=\"option\"><b>$top "._READREVIEWS."</b></font><br><br><font class=\"content\">\n";
	    $lugar=1;
	    while(list($id, $title, $hits) = sql_fetch_row($result, $dbi)) {
		if($hits>0) {
		    echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: <a href=\"modules.php?name=Reviews&amp;rop=showcontent&amp;id=$id\">$title</a> - ($hits "._READS.")<br>\n";
		    $lugar++;
		}
	    }
	    echo "</font></td></tr></table><br>\n";
	}
}

/* Top 10 downloads */

function downloads() {
        global $top, $dbi, $prefix;
	$result = sql_query("select lid, cid, title, hits from ".$prefix."_downloads_downloads order by hits DESC limit 0,$top", $dbi);
	if (sql_num_rows($result, $dbi)>0) {
	    echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
		."<font class=\"option\"><b>$top "._DOWNLOADEDFILES."</b></font><br><br><font class=\"content\">\n";
	    $lugar=1;
	    while(list($lid, $cid, $title, $hits) = sql_fetch_row($result, $dbi)) {
		if($hits>0) {
		    $res = sql_query("select title from ".$prefix."_downloads_categories where cid='$cid'", $dbi);
		    list($ctitle) = sql_fetch_row($res, $dbi);
		    $utitle = ereg_replace(" ", "_", $title);
		    echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: <a href=\"modules.php?name=Downloads&d_op=viewdownloaddetails&amp;lid=$lid&amp;ttitle=$utitle\">$title</a> ("._CATEGORY.": $ctitle) - ($hits "._LDOWNLOADS.")<br>\n";
		    $lugar++;
		}
	    }
	    echo "</font></td></tr></table>\n\n";
	}
}

/* Top 10 Pages in Content */

function contentread() {
        global $top, $dbi, $prefix;
	$result = sql_query("select pid, title, counter from ".$prefix."_pages where active='1' order by counter DESC limit 0,$top", $dbi);
	if (sql_num_rows($result, $dbi)>0) {
	    echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
		."<font class=\"option\"><b>$top "._MOSTREADPAGES."</b></font><br><br><font class=\"content\">\n";
	    $lugar=1;
	    while(list($pid, $title, $counter) = sql_fetch_row($result, $dbi)) {
		if($counter>0) {
		    echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: <a href=\"modules.php?name=Content&amp;pa=showpage&amp;pid=$pid\">$title</a> ($counter "._READS.")<br>\n";
		    $lugar++;
		}
	    }
	    echo "</font></td></tr></table>\n\n";
	}
}


/* Top 10 Community Cool Links */

function commcoollinks() {
        global $top, $dbi, $prefix;
        $result = sql_query("select id, name, hits from ".$prefix."_community_cool order by hits DESC limit 0,$top", $dbi);
        if (sql_num_rows($result, $dbi)>0) {
            echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
                ."<font class=\"option\"><b>$top "._COMMCOOLLINKS."</b></font><br><br><font class=\"content\">\n";
            $lugar=1;
            while(list($id, $name, $hits) = sql_fetch_row($result, $dbi)) {
                if($hits>0) {
                    echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: <a href=\"modules.php?name=Community&amp;op=goto&id=$id\">$name</a> ($hits "._READS.")<br>\n";
                    $lugar++;
                }
            }
            echo "</font></td></tr></table>\n\n";
        }
}

/* Top 10 Community Links */

function commlinks() {
        global $top, $dbi, $prefix;
        $result = sql_query("select id, name, hits from ".$prefix."_community order by hits DESC limit 0,$top", $dbi);
        if (sql_num_rows($result, $dbi)>0) {
            echo "<table border=\"0\" cellpadding=\"10\" width=\"100%\"><tr><td align=\"left\">\n"
                ."<font class=\"option\"><b>$top "._COMMLINKS."</b></font><br><br><font class=\"content\">\n";
            $lugar=1;
            while(list($id, $name, $hits) = sql_fetch_row($result, $dbi)) {
                if($hits>0) {
                    echo "<strong><big>&middot;</big></strong>&nbsp;$lugar: <a href=\"modules.php?name=Community&amp;op=go&id=$id\">$name</a> ($hits "._READS.")<br>\n";
                    $lugar++;
                }
            }
            echo "</font></td></tr></table>\n\n";
        }
}



/* Credits */

function credits() {
	global $ver;
	CloseTable();
 	echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\">";
	echo "<tr>";
	echo "<td valign=\"top\"><div align=\"right\"><font class=\"tiny\"><a href=\"modules.php?name=Top&zx=credit\">TOP10 Release</a> $ver for PHP-Nuke 6.x. Modified by Paul Laudanski (<a href=\"http://computercops.biz\" target=\"_blank\">Computer Cops</a> / <a href=\"http://nukecops.com\" target=\"_blank\">Nuke Cops</a>).<br>Based on PHPNuke <a href=http://phpnuke.org>TOP10</a>. GPL Licensed.</font></div></td>";
	echo "</tr></table>";
}
	
function credit() {
	echo "<B>TOP10 Credits</b><BR><BR>";
	echo "<a href=\"http://www.computercops.biz/modules.php?name=Your_Account&op=";
	echo "userinfo&uname=Paul\">";
	echo "Paul Laudanski</a> (AKA Zhen-Xjell) from <a href=\"http://computercops.biz\">Computer Cops</a> modified the ";
	echo "<a href=\"http://phpnuke.org\">PHP-Nuke</a> original Top 10 module ";
	echo " on 21-May-2002.  Since then, the Top 10 module has taken a life of its own incorporating ";
	echo "code to work with <a href=\"http://phpnuke.org/modules.php?name=News&file=article&sid=5919\">phpbb2 forums</a> as well as more ";
	echo " enhanced PHP-Nuke modules.";
	echo "<BR><BR>Because more data was added to TOP10, the best solution was to give users options ";
	echo "on displaying all this information. Hence, each section was given its own function block ";
	echo "which users could call upon from a menu box.";
	echo "<BR><BR>I hope you like it, and if so, it would be nice to read about it from you.  So stop by";
	echo " here: <a href=\"http://www.nukecops.com/forums.html";
	echo "\">Nuke Cops PHP-Nuke Forum</a>.";
	CloseTable();
	echo "<BR>";
	OpenTable();
	echo "<B>HISTORY</B>"
		. "<BR><BR>"
		. "This release version 2.0 on 17 Jan 2003 is for the upcoming PHP-Nuke 6.5 release.  However, it should work for PHP-Nuke 6.0 "
		. "as well.  For outstanding PHP-Nuke support, please visit our new site specifically for PHP-Nuke: <a href=\"http://nukecops.com\">Nuke Cops</a> "
		. " at http://nukecops.com."
		. "<BR><BR>"
		. "See working versions of this script at: "
		. "<OL><LI>PHP-Nuke 6.5 Version: <a href=\"http://computercops.biz/modules.php?name=Top\">Computer Cops Top 10</a></LI>"
		. "<LI>PHP-Nuke 5.6 Version: <a href=\"http://nukecops.com/modules.php?name=Top\">Nuke Cops Top 10</a></LI>"
		. "<LI>PHP-Nuke 6.5 thru 6.7 Version: <a href=\"http://www.nukecops.com/top.html\">Nuke Cops Top 10</a></LI>"
		. "</OL>";
	credits();
}

switch($zx) {

	case "rcntreadstories":
		rcntreadstories();
		credits();
		break;

	case "readstories":
	        readstories();
                credits();
		break;

	case "alltimethreads":
        	alltimethreads();
                credits();
		break;

	case "recentreadthreads":
	        recentreadthreads();
                credits();
                break;

	case "votedstories":
        	votedstories();
                credits();
                break;

	case "ratedstories":
	        ratedstories();
                credits();
                break;

	case "commentedstories":
        	commentedstories();
                credits();
                break;

	case "categories":
	        categories();
                credits();
                break;

	case "specialsections":
        	specialsections();
                credits();
                break;

	case "forumposters":
	        forumposters();
                credits();
                break;

	case "submitters":
        	submitters();
                credits();
                break;

	case "polls":
	        polls();
                credits();
                break;

	case "authors":
        	authors();
                credits();
                break;

	case "reviews":
	        reviews();
                credits();
                break;

	case "downloads":
        	downloads();
                credits();
                break;

	case "contentread":
	        contentread();
                credits();
                break;

	case "credit":
		credit();
		break;

	case "lastj":
		lastjournals();
		credits();
		break;

	case "hott":
		hotthreads();
		credits();
		break;

	case "wt":
		watchthreads();
		credits();
		break;
	
	case "tt":
		topthemes();
		credits();
		break;

	case "ta":
		topavatars();
		credits();
		break;

	case "newusers":
		recentmembers();
		credits();
		break;

	case "commcoollinks":
		commcoollinks();
		credits();
		break;

        case "commlinks":
                commlinks();
                credits();
                break;

	case "rcnthotthreads":
		rcnthotthreads();
		credits();
		break;

	case "topbuds":
		topbuds();
		credits();
		break;

	default:
		all();
		credits();
		break;
}
include("footer.php");

?>
